package org.dromara.system.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.bo.SysCustomerBo;
import org.dromara.system.domain.vo.SysCustomerVo;

import java.util.Collection;

/**
 * 客户管理 Service接口
 *
 * @author Lion Li
 */
public interface ISysCustomerService {

    /**
     * 查询客户
     */
    SysCustomerVo queryById(Long id);

    /**
     * 分页查询客户列表
     */
    TableDataInfo<SysCustomerVo> queryPageList(SysCustomerBo bo, PageQuery pageQuery);

    /**
     * 修改客户
     */
    Boolean updateByBo(SysCustomerBo bo);

    /**
     * 校验并批量删除客户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 根据微信UnionID查询客户
     */
    SysCustomerVo queryByWechatUnionid(String wechatUnionid);

    /**
     * 根据微信OpenID查询客户
     */
    SysCustomerVo queryByWechatOpenid(String wechatOpenid);

    /**
     * 通过客户ID查询客户昵称
     */
    String selectUserNameById(Long customerId);
}
